# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetScreenInfo

Function

Returns information about a Screen Object.

Syntax
`
#include <dx/dx.h>
`

Screen DXGetScreenInfo(Screen s, Object *o, int *position, int *z)

Functional Details

Returns the Object being transformed and the screen transformation parameters from Screen Object `s`. If `o` is not `NULL`, then the Object being transformed by the screen transformation is returned in `o`. Similarly, if position is not `NULL`, then the type of screen transformation is returned in `position`. Finally, if `z` is not `NULL`, the depth of the Screen Object is returned in `z`.

The value returned in `position` will be one of the following:

- `SCREEN_VIEWPORT`--The origin of `o` is in viewport-relative coordinates. `o` will be centered in the viewport when displayed.
- `SCREEN_PIXEL`--The origin of `o` is in pixel coordinates. `o` will be centered about the specified pixel coordinate when displayed.
- `SCREEN_WORLD`--The origin of `o` is in world coordinates. `o` will be located in the world coordinate system.
- `SCREEN_STATIONARY`--`o` is parallel to the screen, but in its own coordinate system.

When position is `SCREEN_STATIONARY`, then `z` will take one of the following values:

`< 0` | Object `o` is to be displayed behind the other Objects in the scene.
`0` | Object `o` is to be displayed in the middle of the scene.
`> 0` | Object `o` is to be displayed in front of the other Objects in the scene.

Return Value

Returns `s` or returns `NULL` and sets an error code if `s` is not a Screen Object.

See Also

`DXNewScreen, DXSetScreenObject`

16.5 , "Screen Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]